kr.co.hanwha.hifive.admin.admin.adapter

## Class AdminMemberListAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
  - - kr.co.hanwha.hifive.admin.admin.adapter.AdminMemberListAdapter

- All Implemented Interfaces:
    android.widget.Filterable

      public class AdminMemberListAdapter
      extends android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
      implements android.widget.Filterable

  Created by sanghoonkwon on 2018. 3. 9..

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `AdminMemberListAdapter.OnAdminMemberListListener` Interface

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `COUNT_EMPTY`
    `private boolean` | `isOnlyActiveMember`
    `private android.content.Context` | `mContext`
    `private java.util.ArrayList<AdminMemberHrInfo>` | `mListData`
    `private java.util.ArrayList<AdminMemberHrInfo>` | `mListSearchData`
    `private AdminMemberListAdapter.OnAdminMemberListListener` | `mOnAdminMemberListListener`
    `private java.lang.String` | `mSearchWord`
    `private int` | `TYPE_ALARM`
    `private int` | `TYPE_EMPTY`
    `private int` | `ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminMemberListAdapter(android.content.Context context, AdminMemberListAdapter.OnAdminMemberListListener onAdminMemberListListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItems(java.util.ArrayList<AdminMemberHrInfo> list)` Model
    `android.widget.Filter` | `getFilter()` Filterable
    `int` | `getItemCount()`
    `int` | `getItemViewType(int position)` View
    `private boolean` | `isEmpty()`
    `void` | `notifyDataAll()`
    `void` | `notifyDataRangeChanged(int positionStart, int itemCount)`
    `void` | `onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder, int position)`
    `android.support.v7.widget.RecyclerView.ViewHolder` | `onCreateViewHolder(android.view.ViewGroup parent, int viewType)` Adapter
    `void` | `replaceItem(int index, AdminMemberHrInfo data)`
    `void` | `setOnlyActiveMember(boolean onlyActiveMember)`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

      `bindViewHolder, createViewHolder, getItemId, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mContext

          private android.content.Context mContext

    - #### ZERO

          private final int ZERO

      See Also:
        Constant Field Values

    - #### COUNT_EMPTY

          private final int COUNT_EMPTY

      See Also:
        Constant Field Values

    - #### TYPE_EMPTY

          private final int TYPE_EMPTY

      See Also:
        Constant Field Values

    - #### TYPE_ALARM

          private final int TYPE_ALARM

      See Also:
        Constant Field Values

    - #### mOnAdminMemberListListener

          private AdminMemberListAdapter.OnAdminMemberListListener mOnAdminMemberListListener

    - #### mListData

          private java.util.ArrayList<AdminMemberHrInfo> mListData

    - #### mListSearchData

          private java.util.ArrayList<AdminMemberHrInfo> mListSearchData

    - #### mSearchWord

          private java.lang.String mSearchWord

    - #### isOnlyActiveMember

          private boolean isOnlyActiveMember

  - ### Constructor Detail

    - #### AdminMemberListAdapter

          public AdminMemberListAdapter(@NonNull
                                        android.content.Context context,
                                        @NonNull
                                        AdminMemberListAdapter.OnAdminMemberListListener onAdminMemberListListener)

  - ### Method Detail

    - #### setOnlyActiveMember

          public void setOnlyActiveMember(boolean onlyActiveMember)

    - #### getItemViewType

          public int getItemViewType(int position)

      View
      Overrides:
        `getItemViewType` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### notifyDataAll

          public void notifyDataAll()

    - #### notifyDataRangeChanged

          public void notifyDataRangeChanged(int positionStart,
                                             int itemCount)

    - #### addItems

          public void addItems(java.util.ArrayList<AdminMemberHrInfo> list)

      Model

    - #### replaceItem

          public void replaceItem(int index,
                                  AdminMemberHrInfo data)

    - #### onCreateViewHolder

          public android.support.v7.widget.RecyclerView.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                                      int viewType)

      Adapter
      Specified by:
        `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### onBindViewHolder

          public void onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder,
                                       int position)

      Specified by:
        `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### getItemCount

          public int getItemCount()

      Specified by:
        `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### isEmpty

          private boolean isEmpty()

    - #### getFilter

          public android.widget.Filter getFilter()

      Filterable
      Specified by:
        `getFilter` in interface `android.widget.Filterable`